"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      // 轮播图
      bannerList: [],
      // 产品列表
      productList: [],
      // 请求参数
      requestParam: {
        name: "",
        page: 1
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false,
      // 是否显示价格
      isShowPrice: false
    };
  },
  onLoad() {
  },
  onShow() {
    this.isShowPrice = this.$checkAccess.checkShowPrice();
    if (this.isReqing)
      return;
    this.$http.request("/api/banner/get_list").then((re) => {
      if (re.code === "success") {
        this.bannerList = re.data;
      }
    });
    this.requestParam.name = "";
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/product/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList = re.data.data;
      }
    });
  },
  onPullDownRefresh() {
    if (this.isReqing)
      return false;
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/product/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList = re.data.data;
      }
    });
    common_vendor.index.stopPullDownRefresh();
  },
  onReachBottom() {
    if (this.requestParam.page < 1)
      return;
    if (this.isLast)
      return;
    if (this.isReqing)
      return;
    this.requestParam.page = this.requestParam.page + 1;
    this.isReqing = true;
    this.$http.request("api/product/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList.push(...re.data.data);
      }
    });
  },
  methods: {
    onChange() {
    },
    searchChange(e) {
      if (!this.requestParam.name) {
        this.searchOpen();
      }
    },
    searchOpen() {
      if (this.isReqing)
        return;
      this.isLast = false;
      this.requestParam.page = 1;
      this.isReqing = true;
      this.$http.request("api/product/get_list", this.requestParam).then((re) => {
        this.isReqing = false;
        if (re.code == "success") {
          this.productList = re.data.data;
          if (re.data.data.length && re.data.last_page >= this.requestParam.page)
            this.isLast = true;
        }
      });
    },
    toDetail(item) {
      common_vendor.index.navigateTo({
        url: "/pages/product/index?product_id=" + item.id
      });
    },
    navLottery(url) {
      if (!url)
        return;
      let link_url = encodeURIComponent(url);
      common_vendor.index.redirectTo({
        url: `/pages/webview/index?link_url=${link_url}`
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.f($data.bannerList, (item, index, i0) => {
      return {
        a: item.thumb,
        b: common_vendor.o(($event) => $options.navLottery(item.link_url), index),
        c: index
      };
    }),
    b: !$data.productList.length
  }, !$data.productList.length ? {} : {}, {
    c: common_vendor.f($data.productList, (item, index, i0) => {
      return {
        a: item.thumb,
        b: common_vendor.t(item.name),
        c: common_vendor.t(item.spec),
        d: common_vendor.t(item.price),
        e: common_vendor.o(($event) => $options.toDetail(item), index),
        f: index
      };
    }),
    d: common_vendor.o([($event) => $data.requestParam.name = $event.detail.value, (...args) => $options.searchChange && $options.searchChange(...args)]),
    e: $data.requestParam.name,
    f: common_vendor.o(($event) => $options.searchOpen()),
    g: $data.isLast
  }, $data.isLast ? {} : {});
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
