"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      boolWx: true,
      boolWb: false,
      payType: 1,
      //支付类型
      price: 0,
      //支付金额
      orderNo: "",
      //订单号
      parentOrderNo: "",
      //父订单号
      submiting: false
      //控制再次确认支付的弹出框
    };
  },
  onLoad(options) {
    let orderInfo = options.params;
    if (orderInfo) {
      orderInfo = decodeURIComponent(orderInfo);
      orderInfo = JSON.parse(orderInfo);
    }
    this.price = orderInfo.pay_total;
    if (orderInfo.order_id) {
      this.orderNo = orderInfo.order_id;
    } else {
      this.parentOrderNo = orderInfo.snowflake_id;
    }
  },
  methods: {
    // 选择支付方式
    changePayType(type) {
      if (1 == type) {
        this.boolWx = true;
        this.boolWb = false;
      } else {
        this.boolWx = false;
        this.boolWb = true;
      }
      this.payType = type;
      console.log(this.payType, "this.payType");
    },
    // 确认支付
    confirm() {
      const that = this;
      if (1 === that.payType) {
        that.submiting = true;
        this.pay();
      }
    },
    //调起微信支付
    pay() {
      common_vendor.index.login({
        provider: "weixin",
        success: (loginRes) => {
          const { code } = loginRes;
          this.$http.request("api/wechat_pay/pay", { code, order_id: this.orderNo }, "post").then((e) => {
            const price = this.price;
            if (e.code == "success") {
              common_vendor.wx$1.requestPayment({
                timeStamp: e.data.timeStamp,
                //时间戳
                nonceStr: e.data.nonceStr,
                //随机字符串
                package: e.data.package,
                //prepay_id
                signType: e.data.signType,
                //签名算法MD5
                paySign: e.data.paySign,
                //签名
                success: function(res) {
                  if (res.errMsg == "requestPayment:ok") {
                    console.log("支付成功3", price);
                    common_vendor.index.navigateTo({ url: `/pages/orders/completion?price=${price}` });
                  } else {
                    console.log("支付失败");
                  }
                },
                fail: function(res) {
                  console.log("支付失败", res);
                }
              });
            } else {
              console.log("支付失败2", e);
              common_vendor.index.showToast({
                title: "支付失败2",
                icon: "none"
              });
            }
          });
        },
        fail: (err) => {
          console.log("uni.login 接口调用失败，无法获取openid", err);
          common_vendor.index.showToast({
            title: "支付失败",
            icon: "none"
          });
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.t($data.price),
    b: common_vendor.p({
      type: "weixin",
      size: "60rpx",
      color: "#00aa00"
    }),
    c: $data.boolWx,
    d: common_vendor.o(($event) => $options.changePayType(1)),
    e: common_vendor.o((...args) => $options.confirm && $options.confirm(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
