"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      // 产品列表
      productList: [],
      // 请求参数
      requestParam: {
        name: "",
        page: 1
      },
      scoreInfo: {
        score: 0,
        use_score: 0,
        wait_score: 0
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false,
      //用户名称
      username: "",
      selectedOption: 1
      // 用于记录当前选中的积分商品选项
    };
  },
  onLoad() {
  },
  onShow() {
    if (this.isReqing)
      return;
    this.requestParam.name = "";
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/score_product/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList = re.data.data;
      }
    });
    this.$http.request("/api/custom_score/get_info").then((res) => {
      if (res.code == "success") {
        this.scoreInfo = res.data;
        let { username } = common_vendor.index.getStorageSync("userInfo");
        this.username = username;
      }
    });
  },
  onPullDownRefresh() {
    if (this.isReqing)
      return common_vendor.index.stopPullDownRefresh();
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/score_product/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList = re.data.data;
      }
    });
    common_vendor.index.stopPullDownRefresh();
  },
  onReachBottom() {
    if (this.requestParam.page < 1)
      return;
    if (this.isLast)
      return;
    if (this.isReqing)
      return;
    this.requestParam.page = this.requestParam.page + 1;
    this.isReqing = true;
    this.$http.request("api/score_product/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList.push(...re.data.data);
      }
    });
  },
  methods: {
    searchChange(e) {
      if (!this.requestParam.name) {
        this.searchOpen();
      }
    },
    searchOpen() {
      if (this.isReqing)
        return;
      this.isLast = false;
      this.requestParam.page = 1;
      this.isReqing = true;
      this.$http.request("api/score_product/get_list", this.requestParam).then((re) => {
        this.isReqing = false;
        if (re.code == "success") {
          this.productList = re.data.data;
          if (re.data.data.length && re.data.last_page >= this.requestParam.page)
            this.isLast = true;
        }
      });
    },
    toDetail(item) {
      common_vendor.index.navigateTo({
        url: "/pages/score/product?id=" + item.id
      });
    },
    highlightOption(index) {
      this.selectedOption = index;
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: !$data.productList.length
  }, !$data.productList.length ? {} : {}, {
    b: common_vendor.f($data.productList, (item, index, i0) => {
      return {
        a: item.thumb,
        b: common_vendor.t(item.name),
        c: common_vendor.t(item.score),
        d: common_vendor.o(($event) => $options.toDetail(item), index),
        e: index
      };
    }),
    c: common_vendor.o([($event) => $data.requestParam.name = $event.detail.value, (...args) => $options.searchChange && $options.searchChange(...args)]),
    d: $data.requestParam.name,
    e: common_vendor.o(($event) => $options.searchOpen())
  });
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
