"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      //禁止滚动穿透
      show: false,
      //产品列表
      productList: [],
      // 请求参数
      requestParam: {
        page: 1,
        status: 0
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false,
      //当前取消的index
      curIndex: 0
    };
  },
  onLoad() {
  },
  onShow() {
    if (this.isReqing)
      return;
    this.requestParam.name = "";
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/course/reservation_list", this.requestParam.page).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.productList = re.data.data;
      }
    });
  },
  methods: {
    setStatus(status) {
      if (!this.$checkAccess.alterLogin())
        return;
      if (this.isReqing)
        return;
      this.requestParam.page = 1;
      this.isLast = false;
      this.requestParam.status = status;
      this.isReqing = true;
      this.$http.request("api/course/reservation_list", this.requestParam).then((re) => {
        this.isReqing = false;
        if (re.code == "success") {
          if (re.data.last_page >= this.requestParam.page)
            this.isLast = true;
          this.productList = re.data.data;
        }
      });
    },
    popupChange(e) {
      this.show = e.show;
    },
    //弹出层
    cancelPopup(index) {
      this.curIndex = index;
      this.$refs.cancelPopup.open("center");
    },
    //关闭弹出层
    closeCancel() {
      this.$refs.cancelPopup.close();
    },
    //取消预约事件
    cancelCourse() {
      let { id, schedule_id, orders_product_id } = this.productList[this.curIndex];
      console.log(id, schedule_id, orders_product_id);
      this.$http.request("api/course/cancel_reservation/", { id, schedule_id, orders_product_id }, "post").then((res) => {
        if (res.code == "success") {
          common_vendor.index.showToast({
            title: `${res.msg}`,
            icon: "none"
          });
          this.$http.request("api/course/reservation_list", this.requestParam.page).then((re) => {
            this.isReqing = false;
            if (re.code == "success") {
              if (re.data.last_page <= this.requestParam.page)
                this.isLast = true;
              this.productList = re.data.data;
            }
          });
        } else {
          common_vendor.index.showToast({
            title: `${res.msg}`,
            icon: "error"
          });
        }
      });
      this.$refs.cancelPopup.close();
    },
    strFormat(str) {
      return str < 10 ? `0${str}` : str;
    },
    //时间戳转日期
    timeStamp(time) {
      const dates = new Date(time);
      const year = dates.getFullYear();
      const month = dates.getMonth() + 1;
      const date = dates.getDate();
      const day = dates.getDay();
      const hour = dates.getHours();
      const min = dates.getMinutes();
      const days = ["日", "一", "二", "三", "四", "五", "六"];
      return {
        allDate: `${year}/${this.strFormat(month)}/${this.strFormat(date)}`,
        date: `${this.strFormat(year)}-${this.strFormat(month)}-${this.strFormat(date)}`,
        //返回的日期 07-01
        day: `周${days[day]}`,
        //返回的礼拜天数  星期一
        hour: this.strFormat(hour) + ":" + this.strFormat(min)
        //返回的时钟 08:00
      };
    }
  }
};
if (!Array) {
  const _easycom_uni_popup2 = common_vendor.resolveComponent("uni-popup");
  _easycom_uni_popup2();
}
const _easycom_uni_popup = () => "../../uni_modules/uni-popup/components/uni-popup/uni-popup.js";
if (!Math) {
  _easycom_uni_popup();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: "overflow:" + ($data.show ? "hidden" : "visible"),
    b: common_vendor.n($data.requestParam.status == 0 ? "active" : ""),
    c: common_vendor.o(($event) => $options.setStatus(0)),
    d: common_vendor.n($data.requestParam.status == 1 ? "active" : ""),
    e: common_vendor.o(($event) => $options.setStatus(1)),
    f: common_vendor.n($data.requestParam.status == 2 ? "active" : ""),
    g: common_vendor.o(($event) => $options.setStatus(2)),
    h: common_vendor.f($data.productList, (item, index, i0) => {
      return common_vendor.e({
        a: item.teacher_pic,
        b: common_vendor.t(item.teacher_name),
        c: item.status == 1
      }, item.status == 1 ? {
        d: common_vendor.o(($event) => $options.cancelPopup(index), index)
      } : {}, {
        e: item.status == 2
      }, item.status == 2 ? {} : {}, {
        f: item.status == 3
      }, item.status == 3 ? {} : {}, {
        g: common_vendor.t(item.course_name),
        h: common_vendor.t(item.course_address),
        i: common_vendor.t($options.timeStamp(item.start_time * 1e3).date + " " + $options.timeStamp(item.start_time * 1e3).hour),
        j: index
      });
    }),
    i: common_vendor.o(($event) => $options.closeCancel()),
    j: common_vendor.o(($event) => $options.cancelCourse()),
    k: common_vendor.sr("cancelPopup", "110bae46-0"),
    l: common_vendor.o($options.popupChange)
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
