"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      // 产品列表
      orderList: [],
      // 请求参数
      requestParam: {
        page: 1,
        status: 0
      },
      // 是否最后一页
      isLast: false,
      // 是否请求中
      isReqing: false,
      showMoreOptions: false
    };
  },
  onLoad() {
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    if (!this.$checkAccess.alterLogin())
      return;
    this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList = re.data.data;
      }
    });
  },
  onShow() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.orderList.length > 0 || this.isReqing)
      return;
    this.isReqing = true;
    this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList = re.data.data;
      }
    });
  },
  onPullDownRefresh() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.isReqing)
      return false;
    this.requestParam.page = 1;
    this.isLast = false;
    this.isReqing = true;
    this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList = re.data.data;
      }
    });
    common_vendor.index.stopPullDownRefresh();
  },
  onReachBottom() {
    if (!this.$checkAccess.alterLogin())
      return;
    if (this.requestParam.page < 1)
      return;
    if (this.isLast)
      return;
    if (this.isReqing)
      return;
    this.requestParam.page = this.requestParam.page + 1;
    this.isReqing = true;
    this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
      this.isReqing = false;
      if (re.code == "success") {
        if (re.data.last_page <= this.requestParam.page)
          this.isLast = true;
        this.orderList.push(...re.data.data);
      }
    });
  },
  methods: {
    setStatus(status) {
      if (!this.$checkAccess.alterLogin())
        return;
      if (this.isReqing)
        return;
      this.requestParam.page = 1;
      this.isLast = false;
      this.requestParam.status = status;
      this.isReqing = true;
      this.$http.request("api/orders/get_list", this.requestParam).then((re) => {
        this.isReqing = false;
        if (re.code == "success") {
          if (re.data.last_page >= this.requestParam.page)
            this.isLast = true;
          this.orderList = re.data.data;
        }
      });
    },
    deleteOrder() {
      this.showMoreOptions = false;
    },
    showOrderDetails() {
      this.showMoreOptions = false;
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.n($data.requestParam.status == 0 ? "active" : ""),
    b: common_vendor.o(($event) => $options.setStatus(0)),
    c: common_vendor.n($data.requestParam.status == 1 ? "active" : ""),
    d: common_vendor.o(($event) => $options.setStatus(1)),
    e: common_vendor.n($data.requestParam.status == 2 ? "active" : ""),
    f: common_vendor.o(($event) => $options.setStatus(2)),
    g: common_vendor.n($data.requestParam.status == 8 ? "active" : ""),
    h: common_vendor.o(($event) => $options.setStatus(8)),
    i: common_vendor.n($data.requestParam.status == 9 ? "active" : ""),
    j: common_vendor.o(($event) => $options.setStatus(9)),
    k: !$data.orderList.length
  }, !$data.orderList.length ? {} : {}, {
    l: common_vendor.f($data.orderList, (item, index, i0) => {
      return {
        a: common_vendor.t(item.business_name),
        b: common_vendor.t(item.state),
        c: common_vendor.f(item.product_list, (product_info, k1, i1) => {
          return {
            a: product_info.product_thumb,
            b: common_vendor.t(product_info.product_name),
            c: common_vendor.t(product_info.product_spec),
            d: common_vendor.t(product_info.buy_num),
            e: product_info.item_id
          };
        }),
        d: common_vendor.t(item.pay_total),
        e: index
      };
    }),
    m: $data.isLast
  }, $data.isLast ? {} : {});
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
